<?php
define('NTLCMS', 1);
$module = 'stats';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница статистики площадки - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Статистика площадки</b></div>';
$id = isset($_GET['id']) ? filter_var($_GET['id'], FILTER_SANITIZE_NUMBER_INT) : '0';
$sql = DB :: run() -> query("select * from `sites` where `id` = ?", array($id));
$row = $sql -> fetch(PDO::FETCH_OBJ);
if ($_USER['login'] !== $row -> login){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Чужую статистику просматривать нельзя!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';
include ('../system/foot.php'); exit;
}
$k_post = DB :: run() -> querySingle("select count(*) from `click` where `site` = ?", array($id));
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
$sql = DB :: run() -> query("select * from `click` where `site` = ? order by `id` asc limit ".$start.", ".$onpage, array($id));
if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Переходов еще не было!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<div class="menu">';
echo '<i class="fa fa-user fa-fw"></i> Логин: '.checkout($row -> login).'<br/>';
echo '<i class="fa fa-clock-o fa-fw"></i> Время: '.date('d.m.Y H:i:s', $row -> time).'<br/>';
echo '</div>';
}
if ($k_page > 1) navigation(URL.'/site_stats'.$id.'?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/site">Мои площадки</a></div>';
include ('../system/foot.php');
?>